Bug 1144041 - Please add "pam_keyinit.so" to the /etc/pam.d/atd configuration file
Please add "pam_keyinit.so" to the /etc/pam.d/atd configuration file
Status: RESOLVED FIXED
Classification: openSUSE
Product: openSUSE Tumbleweed
Classification: openSUSE
Component: Basesystem
Current
All openSUSE Factory
: P5 - None : Normal (vote)
: Current
Assigned To: Kristyna Streitova
E-mail List
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2019-08-02 14:42 UTC by Josef Möllers
Modified: 2021-11-18 16:45 UTC (History)
2 users (show)

See Also:
Found By: ---
Services Priority:
Business Priority:
Blocker: ---
Marketing QA Status: ---
IT Deployment: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Josef Möllers 2019-08-02 14:42:04 UTC
In the near future, the use of kernel keyrings will be enabled by systemd.
To fully support this feature, this package must include the pam_keyinit.so
module in its /etc/pam.d/atd configuration file.
Please add this module to the /etc/pam.d/atd configuration file with the
appropriate parameters:
session optional pam_keyinit.so revoke [force]
Thanks.
Comment 1 Kristyna Streitova 2019-08-07 10:03:13 UTC
I'm changing the target codestream to openSUSE:Tumbleweed as it doesn't make any sense to submit it for SLE15 where kernel keyrings are not supported now.
Comment 3 Josef Möllers 2019-08-27 13:13:05 UTC
Yes, it should be placed as early as possible in the "session"s so that following modules may have access to the keyring eg to add information.
Comment 4 Kristyna Streitova 2019-08-27 16:01:06 UTC
Submitted via sr#726545

Closing as fixed.